Skip to main content
POST
/
api
/
generate
/
submit
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kling-2.1/standard",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "a woman takes her hands out her pockets and gestures to the words with both hands, she is excited, behind her it is raining",
    "duration": 5,
    "start_image_url": "https://cdn.doculator.org/kling-2.1/start-image.png?v=20260310-2040"
  }
}
'
{
  "code": 200,
  "data": {
    "task_id": "task-unified-1757165031-uyujaw3d",
    "status": "not_started",
    "created_time": "2025-11-12T10:30:00"
  }
}
  1. After submission, a task_id will be returned. If you provided a callback_url, when the task status becomes finished or failed, a POST request will be sent to the callback_url.
  2. Regardless of whether callback_url is provided, you can retrieve the result through the unified Query Task Status endpoint.

Kling 2.1

Kling 2.1 provides two public models under the same request format: kling-2.1/standard and kling-2.1/pro.

Available Models

  • kling-2.1/standard - Start-frame guided image-to-video
  • kling-2.1/pro - Start-frame guided image-to-video with optional end frame

Required Parameters

  • prompt: Text prompt for generation
  • start_image_url: Required first frame image

Optional Parameters

  • duration: 5 or 10. Default is 5
  • end_image_url: Optional, only supported by kling-2.1/pro
  • negative_prompt: Optional negative prompt

Notes

  • kling-2.1/standard does not support end_image_url
  • kling-2.1/pro supports both start image and optional end image

Authorizations

Authorization
string
header
required

All API endpoints require Bearer Token authentication

Get your API Key:

Visit the API Key Management Page to get your API Key

Add it to the request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
required

Kling 2.1 public model identifier

Available options:
kling-2.1/standard,
kling-2.1/pro
input
object
required
callback_url
string<uri>

Webhook callback URL for result notifications

Example:

"https://your-domain.com/callback"

Response

200 - application/json

Task submitted successfully

code
integer
required
Example:

200

data
object
required